Loading...
Searching...
No Matches
assetmgrmodel::AssetStrip::TagChangeInfo Struct Reference

Information describing a tag change. More...

`import "AssetStrip.idl";`

## Public Attributes

TagInfo | tag
| Tag which was attached or detached.
RackUnitInfo | info
| Rack unit the tag was/is connected to.
string | parentBladeTagId
| Asset tag ID of the parent blade tag, empty if the tag is not an extension tag.
int | slotPosition
| Blade slot position of the tag, 0 if the tag is not an extension tag.

## Detailed Description

Information describing a tag change.

Definition at line 137 of file AssetStrip.idl.

## Member Data Documentation

## info

RackUnitInfo assetmgrmodel::AssetStrip::TagChangeInfo::info

Rack unit the tag was/is connected to.

Definition at line 139 of file AssetStrip.idl.

## parentBladeTagId

string assetmgrmodel::AssetStrip::TagChangeInfo::parentBladeTagId

Asset tag ID of the parent blade tag, empty if the tag is not an extension tag.

Definition at line 140 of file AssetStrip.idl.

## slotPosition

int assetmgrmodel::AssetStrip::TagChangeInfo::slotPosition

Blade slot position of the tag, 0 if the tag is not an extension tag.

Definition at line 142 of file AssetStrip.idl.

## tag

TagInfo assetmgrmodel::AssetStrip::TagChangeInfo::tag

Tag which was attached or detached.

Definition at line 138 of file AssetStrip.idl.

The documentation for this struct was generated from the following file:

- AssetStrip.idl